Skip to main content
Infrastructure/Lifecycle

ListLifecycleEvents

List lifecycle audit events

GET/api/v1/lifecycle/events

Operation ID

ListLifecycleEvents

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • componentUuid
    String

    Filter by component UUID

  • eventType
    String

    Filter by event type

  • startTime
    String

    Filter events after this time

  • endTime
    String

    Filter events before this time

  • limit
    Integer

    Maximum number of events to return

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of lifecycle events

    Example: (nested array)

    • id
      String

      Unique identifier of the lifecycle event

      Example: evt-001-abc

    • agentId
      String

      UUID of the agent this event belongs to

      Example: agent-abc123-def456

    • eventType
      String

      Type of lifecycle event (start, stop, upgrade, crash)

      Example: upgrade

    • fromStatus
      String

      Previous status before the event occurred

      Example: online

    • toStatus
      String

      New status after the event was processed

      Example: upgrading

    • version
      String

      Agent version associated with this event

      Example: 1.5.0

    • operator
      String

      Account or system that initiated the event

      Example: admin

    • reason
      String

      Reason or context for the event

      Example: scheduled upgrade

    • occurredAt
      String

      Occurred at

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of matching events

    Example: 100

  • limit
    Integer

    Limit used in this response

    Example: 20

  • offset
    Integer

    Offset used in this response

    Example: 40

  • Change Time

    AddedRequest parameters resourceType, resourceUuid
    View API